Subject: [Netconf] Proposed Netconf Charter for Approval

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Tue, 7 May 2013 16:39:58 +0000

Hi Benoit,

below is the charter proposal we would like to provide for approval.

After a call for comments on the Netconf maillist there was no substantial argument against it. Especially, we think the TLS draft should developed further.

A discussion on the prioritization of topics in the queue has been started but there is no result yet. We will restart the discussion on the priorities and hint the WG to prepare themselves to have an answer at the latest in Berlin. For IETF #87 we asked for a Netconf session on Thursday to enable the WG members to have side discussions, which hopefully will help to weight the priorities and to consolidate the views on particular topics like operational state.

However, we think that we shouldn't wait on the results of this discussion hence should start now the work on the work items decided in IETF #86.

Thank you for support.

Bert & Mehmet

=== Proposed Charter text ===

Network Configuration (netconf)
-------------------------------

 Charter

 Current Status: Active

 Chairs:
     Bert Wijnen <[email-masked]<mailto:[email-masked]>>
     Mehmet Ersue <[email-masked]<mailto:[email-masked]>>

 Operations and Management Area Directors:
     Benoit Claise <[email-masked]<mailto:[email-masked]>>
     Joel Jaeggli <[email-masked]<mailto:[email-masked]>>

 Operations and Management Area Advisor:
     Benoit Claise <[email-masked]<mailto:[email-masked]>>

 Mailing Lists:
     General Discussion: [email-masked]<mailto:[email-masked]>
     To Subscribe:       https://www.ietf.org/mailman/listinfo/netconf
     Archive:            http://www.ietf.org/mail-archive/web/netconf/

Description of Working Group:

  Configuration of networks of devices has become a critical requirement
  for operators in today's highly interconnected networks. Large and small
  operators alike have developed their own mechanisms or have used vendor
  specific mechanisms to transfer configuration data to and from a device
  and to examine device state information which may impact the
  configuration. Each of these mechanisms may be different in various
  aspects, such as session establishment, user authentication,
  configuration data exchange, and error responses.

  The NETCONF protocol has the following characteristics:

  - Provides retrieval mechanisms which can differentiate between
  configuration data and non-configuration data
  - Is extensible enough so that vendors can provide access to all
  configuration data on the device using a single protocol
  - Has a programmatic interface (avoids screen scraping and formatting-
  related changes between releases)
  - Uses an XML-based data representation, that can be easily manipulated
  using non-specialized XML manipulation tools.
  - Supports integration with existing user authentication methods
  - Supports integration with existing configuration database systems
  - Supports multiple (e.g. candidate and running) data-stores to optimize
  configuration preparation and activation
  - Supports network wide configuration transactions (with features such
  as locking and rollback capability)
  - Runs over a secure transport; SSH is mandatory to implement while TLS,
  BEEP, and SOAP are optional transports.
  - Provides support for asynchronous notifications.
  - Supports an Access Control Model and a YANG module for configuring the
  Access Control parameters.
  - Supports a YANG module for System Notifications

  The NETCONF protocol is data modeling language independent, but YANG is
  the recommended NETCONF modeling language, which introduces advanced
  language features for configuration management.

  Based on the implementation, deployment experience and interoperability
  testing, the WG aims to produce a NETCONF status report in a later stage.
  The result may be clarifications for RFC6241 and RFC6242 and addressing
  any reported errata.

  In the current phase of NETCONF's incremental development the workgroup
  will focus on following items:

  1. Add call home mechanism for the mandatory SSH binding providing a
  server-initiated session establishment.

  2. Advance NETCONF over TLS to be in-line with NETCONF 1.1 (i.e., update
  RFC 5539) and add the call home mechanism to provide a server-initiated
  session establishment.

Goals and Milestones:
  Done     - WG Last Call on rfc4741bis
  Done     - Send with-defaults to IESG for consideration as Proposed Standard
  Done     - first WG draft (rev 00) on NACM posted
  Done     - rfc4741bis to IESG for consideration as Proposed Standard
  Done     - Send rfc4742bis to IESG for consideration as proposed Standard
  Done     - first WG draft (rev 00) on NETCONF specific YANG modules posted
  Done     - WGLC for NACM document
  Done     - WGLC for NETCONF specific notifications document
  Done     - submit NACM document to IESG for consideration as Proposed Standard
  Done     - submit NETCONF specific notifications document to IESG for consideration as Proposed Standard
  May 2013 - Submit initial WG document on Reverse SSH
  Jul 2013 - WGLC for rfc5539bis
  Jul 2013 - WGLC for Reverse SSH
  Aug 2013 - submit rfc5539bis to AD/IESG for consideration as Proposed Standard
  Aug 2013 - submit SSH binding to AD/IESG for consideration as Proposed Standard

=== End-of proposed charter text ===

> -----Original Message-----
> From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of ext
> Ersue, Mehmet (NSN - DE/Munich)
> Sent: Monday, May 06, 2013 5:27 PM
> To: [email-masked]<mailto:[email-masked]>
> Subject: [Netconf] FW: Developing Call-Home for the SSH and TLS transport bindings -
> New Charter text
>
> Dear Netconf WG,
>
> the co-chairs proposed a draft charter text to realize the call-home mechanism for the
> SSH and TLS bindings, as concluded in the IETF #86 meeting. We did not get any
> substantial arguments against. Also, an attempt to discuss on the priority of other
> issues in the queue did not bring any new perspective.
>
> Based on this the co-chairs think that the WG should proceed, following the discussion
> in the IETF #86, with the development of the call-home mechanism for the SSH and
> TLS bindings. We now will do slight changes to the milestones and give the proposed
> charter to our AD to initiate the approval.
>
> Concerning the Netconf RFC advancement, we did not get volunteers to co-author a
> deployment report and the number of deployment reports received so far seems very
> thin to ask for advancement based on "wide deployment" at this point in time. We
> therefore suggest to exclude this point from the charter for the time being. It can be
> revived if things change hopefully soon.
>
> Bert & Mehmet
>
>
> > -----Original Message-----
> > From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of
> ext
> > Ersue, Mehmet (NSN - DE/Munich)
> > Sent: Friday, April 12, 2013 3:30 PM
> > To: [email-masked]<mailto:[email-masked]>
> > Subject: [Netconf] Developing Call-Home for the SSH and TLS transport bindings -
> New
> > Charter text
> >
> > Dear NETCONF WG,
> >
> > we discussed in the IETF #86 Netconf session on resurrecting and developing the call
> > home mechanism, i.e. initiation of session establishment by the server. The session
> > attendees supported the development of call home for both, the SSH and TLS
> > transport bindings.
> >
> > For the SSH binding, Kent Watsen volunteered to update his draft on Reverse SSH.
> > Concerning the TLS binding, the authors of the rfc5539bis draft agreed to add the
> > necessary text for call home. Based on the session agreement, the co-chairs
> promised
> > to verify the WG support on the mailing list and add call-home for the ssh and tls
> > drafts to the charter.
> >
> > If there are no substantial arguments against developing call home as planned by
> April
> > 26, 2013 EOB, the co-chairs will add following addition to the charter and provide our
> > AD to review and initiate the IESG approval.
> >
> > Whether point 3. on the list below remains in the charter depends on the response
> we
> > get to the call on RFC advancement until May 1st.
> >
> > Please send your comments to the Netconf maillist by April 26, 2013.
> >
> > Draft authors: Please confirm or comment the deadlines listed in the charter text
> > below with a short note to the co-chairs.
> >
> > Bert & Mehmet
> >
> >
> > === modified charter text ===
> >
> >   In the current phase of NETCONF's incremental development the workgroup
> >   will focus on following items:
> >
> >   1. Add call home mechanism for the mandatory SSH binding providing a
> >   server-initiated session establishment.
> >
> >   2. Advance NETCONF over TLS to be in-line with NETCONF 1.1 (i.e., update
> >   RFC 5539) and add the call home mechanism to provide a server-initiated
> >   session establishment.
> >
> >   3. Based on the implementation, deployment experience and
> >   interoperability testing, the WG will produce a NETCONF status report.
> >   The result may be clarifications for RFC6241 and RFC6242 and addressing
> >   any reported errata.
> >
> > Goals and Milestones:
> >   Done     - WG Last Call on rfc4741bis
> >   Done     - Send with-defaults to IESG for consideration as Proposed Standard
> >   Done     - first WG draft (rev 00) on NACM posted
> >   Done     - rfc4741bis to IESG for consideration as Proposed Standard
> >   Done     - Send rfc4742bis to IESG for consideration as proposed Standard
> >   Done     - first WG draft (rev 00) on NETCONF specific YANG modules posted
> >   Done     - WGLC for NACM document
> >   Done     - WGLC for NETCONF specific notifications document
> >   Done     - submit NACM document to IESG for consideration as Proposed Standard
> >   Done     - submit NETCONF specific notifications document to IESG for
> consideration
> > as Proposed Standard
> >   May 2013 - Submit initial WG document on Reverse SSH
> >   May 2013 - Collect Implementation/Deployment reports for RFC6241 and 6242
> >   May 2013 - IETF wiki page and/or initial I-D for RFC6241/6242
> > implementation/deployment experience
> >   Jun 2013 - WGLC for rfc5539bis
> >   Jul 2013 - WGLC for Reverse SSH
> >   Jul 2013 - WGLC on RFC6241/6242 implementation/deployment experience
> >   Jul 2013 - submit rfc5539bis to AD/IESG for consideration as Proposed Standard
> >   Aug 2013 - submit SSH binding to AD/IESG for consideration as Proposed Standard
> >   Aug 2013 - Possibly submit RFC6241/6242 implementation/deployment experience
> doc
> > to IESG for publication as Informational RFC
> >
> > === end-of modified charter text ===
> >
> >
> > _______________________________________________
> > Netconf mailing list
> > [email-masked]<mailto:[email-masked]>
> > https://www.ietf.org/mailman/listinfo/netconf
> _______________________________________________
> Netconf mailing list
> [email-masked]<mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/netconf

---

From: Benoit Claise <[email-masked]>
Date: Tue, 21 May 2013 13:22:56 +0200

Hi Mehmet,

This is on the IESG telechat for internal review on May 30th.
The milestones are impressive, but you are all long time IETF'ers. So 
I'll trust that you know what you're doing.

Regards, Benoit
> After a call for comments on the Netconf maillist there was no 
> substantial argument against it. Especially, we think the TLS draft 
> should developed further.
> A discussion on the prioritization of topics in the queue has been 
> started but there is no result yet. We will restart the discussion on 
> the priorities and hint the WG to prepare themselves to have an answer 
> at the latest in Berlin. For IETF #87 we asked for a Netconf session 
> on Thursday to enable the WG members to have side discussions, which 
> hopefully will help to weight the priorities and to consolidate the 
> views on particular topics like operational state.
> However, we think that we shouldn't wait on the results of this 
> discussion hence should start now the work on the work items decided 
> in IETF #86.
> Thank you for support.
> Bert & Mehmet
>      Bert Wijnen <[email-masked] <mailto:[email-masked]>>
>      Mehmet Ersue <[email-masked] <mailto:[email-masked]>>
>      Benoit Claise <[email-masked] <mailto:[email-masked]>>
>      Joel Jaeggli <[email-masked] <mailto:[email-masked]>>
>      Benoit Claise <[email-masked] <mailto:[email-masked]>>
> Mailing Lists:
>      General Discussion: [email-masked] <mailto:[email-masked]>
>      To Subscribe: _https://www.ietf.org/mailman/listinfo/netconf_
>      Archive: _http://www.ietf.org/mail-archive/web/netconf/_
> > From:[email-masked] <mailto:[email-masked]> 
> [_mailto:[email-masked]] On Behalf Of ext
> > To:[email-masked] <mailto:[email-masked]>
> > > From:[email-masked] <mailto:[email-masked]> 
> [mailto:[email-masked]] On Behalf Of
> > ext
> > > To:[email-masked] <mailto:[email-masked]>
> > >[email-masked] <mailto:[email-masked]>
> >[email-masked] <mailto:[email-masked]>